
set status [ SclFunction "EXIT GRAPHICS" {
  frm00108={
    {
      exit_mode="E"
    }
  }
}]

set status [ SclFunction "BM EXIT" {
  frm20103={
    {
      exit_mode="E"
    }
  }
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="pit980.str"
  mode="openInNewLayer"
}]

SclPause 2

set status [ SclFunction "RECALL ANY FILE" {
  file="pit1050.str"
  mode="openInNewLayer"
}]

set status [ SclFunction "GRAPHICS CREATE DTM" {
  frm01311={
    {
      _action=display
      interpolate_new_points_distance="50"
      obj_name=""
      object_num="1"
      interpolate_new_points="N"
      breaktest="Y"
    }
  }
}]

set status [ SclFunction "FILE SAVE" {
  frmsaveFileAs={
    {
      _action=display
      AutoCAD={
        version="Autocad 18"
      }
      output_file="surpac2str:pit1050"
      outputExt=".dtm"
      Datamine={
        binary_precision="Single"
      }
      Surpac={
        FileFormat="text"
        ForceValidation="true"
        Purpose=""
        ForceCompatibility="true"
        range=""
      }
      output_type="Surpac DTM Files"
    }
  }
  frmSaveMultipleFiles={
    {
      _action="apply"
    }
  }
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="top1.dtm"
  mode="openInNewLayer"
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="pit_topo_intersection.str"
  mode="openInNewLayer"
}]

set status [ SclFunction "ERASE STRINGS" {
  frm00089={
    {
      range1=""
      range2=""
      range3=""
      textalignment="<"
      layer_name="pit1050.str"
    }
  }
}]

set status [ SclFunction "VIEW BY BEARING" {
  frm00289={
    {
      bearing="220"
      dip="-30"
    }
  }
}]

set status [ SclFunction "DTM CLIP" {
  frm00315={
    {
      _action=display
      newbdyloc="topo_boundary"
      bdyloc="pit_topo_intersection"
      bdystr="1"
      trisolation_id="1"
      inout="O"
      newdtmloc="topo_outside_pit"
      new_bdystr="1"
      newobject_id="4"
      newobj_name=""
      dtmloc="top1"
      object_id="1"
    }
  }
  frm00121=table { _action } {
    { "apply" }
    { "apply" }
  }
}]

set status [ SclFunction "DTM CLIP" {
  frm00315={
    {
      _action=display
      newbdyloc="pit_design_boundary"
      bdyloc="pit_topo_intersection"
      bdystr="1"
      trisolation_id="1"
      inout="I"
      newdtmloc="pit_design1"
      new_bdystr="1"
      newobject_id="1"
      newobj_name=""
      dtmloc="pit1050"
      object_id="1"
    }
  }
  frm00121=table { _action } {
    { "apply" }
    { "apply" }
  }
}]

set status [ SclFunction "EXIT GRAPHICS" {} ]

set status [ SclFunction "RECALL ANY FILE" {
  file="topo_outside_pit.dtm"
  mode="openInNewLayer"
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="pit_design1.dtm"
  mode="openInNewLayer"
}]

set status [ SclFunction "VIEW BY BEARING" {
  frm00289={
    {
      _action=display
      bearing="350"
      dip="-30"
    }
  }
}]

puts ""
puts ""
puts " Macro _14_intersect_design_and_topo.tcl completed"
puts ""